PDA

Visualizza la versione completa : pacchetti slack


Guglie
26-12-2004, 20:20
buongiorno, in questi giorni dopo un po' di fatica sono riuscito a installare linux su un vecchio portatile (pentium 90 Mhz)
avendo solo 650Mb si spazio ci ho messo una ZipSlack (circa 100 Mb) e adesso volevo aggiungerci i pacchetti a mano fino a renderla ok, per ho alcune domande:
- in gentoo ho vim 6.3.45 e lo trovo abbastanza comodo, in slack c' vim 6.3.4, ma scomodo rispetto a quello di gentoo, ad es per cancellare bisogna usare per forza x ecc..)
non c' una versione pi nuova (nella current vedo vim-6.3.007-i486-1.tgz)?
- volevo metterci anche X11, ma non so che dipendenze deve avere: vedo che c' il pacchetto x11.6.7.0 e altri con i font, devo installarli tutti o ne basta uno?
- infine mi servirebbero gli strumenti di sviluppo per c++, ovvero: make, glibc, gcc, gcc-g++ (forse ne servono anche altri, che di default ci sono e che non conosco). di questi pacchetti ci sono diverse versioni, ad es glibc, glibc-solbs, glibc-zoneinfo, immagino che quello giusto sia glibc, vero?

:ciauz:

Sergio Pedone
26-12-2004, 20:40
Originariamente inviato da Guglie
buongiorno, in questi giorni dopo un po' di fatica sono riuscito a installare linux su un vecchio portatile (pentium 90 Mhz)
avendo solo 650Mb si spazio ci ho messo una ZipSlack (circa 100 Mb) e adesso volevo aggiungerci i pacchetti a mano fino a renderla ok, per ho alcune domande:
[/B]
Ciao. Ora non lo sto utilizzando, ma ho installato Slackware su di un 486 desktop con 200MB di disco fisso. Quindi posso dirti la mia esperienza. Io installai il minimo indispensabile utilizzando quattro partizioni, /boot, /, /home e la swap.


- in gentoo ho vim 6.3.45 e lo trovo abbastanza comodo, in slack c' vim 6.3.4, ma scomodo rispetto a quello di gentoo, ad es per cancellare bisogna usare per forza x ecc..)
non c' una versione pi nuova (nella current vedo vim-6.3.007-i486-1.tgz)?

Copia nella tua home il file di configurazione di vim:
$ cp /usr/share/vim/vim63/vim-example-rc $HOME/.vimrc
Scusa se non sono pi preciso ma non sono su slack ora.


- volevo metterci anche X11, ma non so che dipendenze deve avere: vedo che c' il pacchetto x11.6.7.0 e altri con i font, devo installarli tutti o ne basta uno?

Mizzica, io ho provato ad utilizzare X11 con fluxbox, ma la macchina faceva veramente fatica a rispondere alle mie richieste.


- infine mi servirebbero gli strumenti di sviluppo per c++, ovvero: make, glibc, gcc, gcc-g++ (forse ne servono anche altri, che di default ci sono e che non conosco). di questi pacchetti ci sono diverse versioni, ad es glibc, glibc-solbs, glibc-zoneinfo, immagino che quello giusto sia glibc, vero?

Non te li so descrivere tutti, ma se guardi sui CD/iso trovi anche i file che descrivono il contenuto del pacchetti.

ciao.

Guglie
26-12-2004, 20:56
grazie dell'aiuto!
vim adesso funziona benone :)

X11 deve funzionare perch ho visto girare Xfree con fvwm95 su una suse 8.? con lo stesso portatile, ma con solamente 70 Mhz
altra domanda: quanto occupa circa X con gtk2 e magari anche gtk1?

taotao

Guglie
26-12-2004, 21:24
mi rispondo da solo.. basta fare la somma delle dimensioni che risultano da installpkg -infobox :rollo:

Loading